svn commit: r244138 - projects/portbuild/scripts

Mark Linimon linimon at FreeBSD.org
Wed Dec 12 05:21:05 UTC 2012


Author: linimon (doc,ports committer)
Date: Wed Dec 12 05:21:04 2012
New Revision: 244138
URL: http://svnweb.freebsd.org/changeset/base/244138

Log:
  Create the errorlogs/ dir for the webserver if it does not exist.  Note
  that due to packagestats, this directory needs to be owned by a general
  user, not a ports-specific one.

Modified:
  projects/portbuild/scripts/build

Modified: projects/portbuild/scripts/build
==============================================================================
--- projects/portbuild/scripts/build	Wed Dec 12 05:02:56 2012	(r244137)
+++ projects/portbuild/scripts/build	Wed Dec 12 05:21:04 2012	(r244138)
@@ -157,8 +157,16 @@ do_create() {
 	chmod -R g+w ${mlist}
     fi
 
-    # create the links for the webserver under ../errorlogs/
+    # create the links for the webserver under ../errorlogs/.  Note
+    # non ports-<arch> ownership of this directory!
     errorlogs=${pbd}/errorlogs
+    portbuild_uid=${PORTBUILD_USER}
+    if [ ! -d ${errorlogs} ]; then
+        echo "${errorlogs} must exist and be owned by ${portbuild_uid}:${gid} mode 77x."
+        exit 1
+    fi
+    chown -R ${portbuild_uid}:${gid} ${errorlogs} || exit 1
+    chmod 775 ${errorlogs} || exit 1
 
     ln -s ${buildsdir}/latest/bak/errors ${errorlogs}/${arch}-${branch}-previous
     ln -s ${buildsdir}/latest/bak/logs ${errorlogs}/${arch}-${branch}-previous-logs


More information about the svn-src-projects mailing list